# Type alias TriggerCfg

TriggerCfg: {
action: string;
channel?: string;
configuration?: any;
description?: string;
id?: number | null;
min_role?: number;
name?: string;
steps?: WorkflowStepCfg[];
table?: AbstractTable;
table_id?: number | null;
table_name?: string;
when_trigger: string;
}

#### Type declaration

- ##### action: string

- ##### `Optional` channel?: string

- ##### `Optional` configuration?: any

- ##### `Optional` description?: string

- ##### `Optional` id?: number | null

- ##### `Optional` min_role?: number

- ##### `Optional` name?: string

- ##### `Optional` steps?: WorkflowStepCfg[]

- ##### `Optional` table?: AbstractTable

- ##### `Optional` table_id?: number | null

- ##### `Optional` table_name?: string

- ##### when_trigger: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:25

Generated using TypeDoc